
# Please make this file available to others
# by sending it to <lirc@bartelmus.de>
#
# this config file was automatically generated
# using lirc-0.9.0-pre1(default) on Tue Jun 18 13:25:33 2013
#
# contributed by 
#
# brand: STB101 R03S X2
# model no. of remote control: 
# devices being controlled by this remote:
#

begin remote

  name  STB101
  bits           16
  flags SPACE_ENC|CONST_LENGTH
  eps            30
  aeps          100

  header       9008  4462
  one           588  1655
  zero          588   535
  ptrail        587
  repeat       9010  2222
  pre_data_bits   16
  pre_data       0x807F
  gap          107792
  toggle_bit_mask 0x0

      begin codes
          KEY_POWER                0x807F
          KEY_MUTE                 0x48B7
          KEY_MENU                 0x827D
          KEY_EXIT                 0x8877
          KEY_BACK                 0xD827
          KEY_INFO                 0xB847
          KEY_TEXT                 0x30CF
          KEY_EPG                  0xF807
          KEY_SUBTITLE             0x38C7
          KEY_VOLUMEUP             0x08F7
          KEY_VOLUMEDOWN           0x9867
          KEY_CHANNELUP            0x18E7
          KEY_CHANNELDOWN          0x906F
          KEY_RED                  0x22DD
          KEY_GREEN                0xA25D
          KEY_YELLOW               0x629D
          KEY_BLUE                 0xE21D
          KEY_SWITCHVIDEOMODE      0xC03F
          KEY_LEFT                 0xB04F
          KEY_RIGHT                0x28D7
          KEY_UP                   0xE817
          KEY_DOWN                 0x58A7
          KEY_OK                   0xA857
          KEY_0                    0xC837
          KEY_7                    0x10EF
          KEY_8                    0xF00F
          KEY_9                    0x708F
          KEY_4                    0x20DF
          KEY_5                    0xD02F
          KEY_6                    0x50AF
          KEY_1                    0x00FF
          KEY_2                    0xE01F
          KEY_3                    0x609F
      end codes

end remote


